#include <bits/stdc++.h>

using namespace std;

const int MOD = 1000000007;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    int xmax, xmin, ymax, ymin;
    vector<pair<int, int>> c;
    for (int i = 0; i < n; ++i) {
        int a, b;
        cin >> a >> b;
        c.push_back({a, b});
        if (i == 0) {
            xmax =a, xmin =a;
            ymax =b, ymin =b;
            cout << 0 << '\n';
        }
        else {
            xmax = max(xmax, a);
            xmin = min(xmin, a);
            ymax = max(ymax, b);
            ymin = min(ymin, b);
            long long s1=0,s2=0,s3=0,s4=0;
            for (auto i : c) {
                s1 += abs(i.first - xmax)*1LL*abs(i.second-ymax);
                s2 += abs(i.first - xmin)*1LL*abs(i.second-ymax);
                s3 += abs(i.first-xmax)*1LL*abs(i.second-ymin);
                s4 += abs(i.first-xmin)*1LL*abs(i.second-ymin);
            }
            cout << max(s1, max(s2, max(s3, s4)))%MOD << '\n';
        }
    }
    return 0;
}